const unsigned int LED_PIN = 13;
const unsigned int PAUSE = 500;
const unsigned int FLASH_DURATION = 50;


void setup() {
  pinMode(LED_PIN, OUTPUT);
}


void loop() {
  for (int i = 1; i < 4; i++) {
    flash(i);
    delay(PAUSE);
  }
  delay(PAUSE);
}


void flash(int n) {
  for (int i = 0; i < n; i++) {
    digitalWrite(LED_PIN, HIGH);
    delay(FLASH_DURATION);
    digitalWrite(LED_PIN, LOW);
    delay(FLASH_DURATION);
  }
}
